Show / Hide Table of Contents

# Interface IImGuiRenderer

A simple shared public interface that all ImGui render implementations follow.

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public interface IImGuiRenderer

### Methods

| Improve this Doc View Source

#### Init(Object[])

##### Declaration

    void Init(params object[] initParams)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object[] | initParams |

| Improve this Doc View Source

#### NewFrame()

##### Declaration

    void NewFrame()

| Improve this Doc View Source

#### RenderDrawData(ImDrawDataPtr)

##### Declaration

    void RenderDrawData(ImDrawDataPtr drawData)

##### Parameters

Type | Name | Description
--- | --- | ---
ImDrawDataPtr | drawData |

| Improve this Doc View Source

#### Shutdown()

##### Declaration

    void Shutdown()